mpi_scatter_init.h File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class Message , class Size , class SizeRandomIterator1 , class SizeRandomIterator2 , class SizeRandomIterator3 , class Tag >
void | mpi_scatter_init (Size nidx, SizeRandomIterator1 idx, Size nidy, SizeRandomIterator2 idy, Size idy_maxval, SizeRandomIterator3 ownership, Tag tag, const distributor::communicator_type &comm, Message &from, Message &to)